package com.zjsgfa.project.zjsgfa.mapper;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.SjFdsgcsDcylZjymdsjb;

/**
 * 邻井钻井液密度数据Mapper接口
 * 
 * @author ruoyi
 * @date 2025-12-04
 */
public interface SjFdsgcsDcylZjymdsjbMapper 
{
    /**
     * 查询邻井钻井液密度数据
     * 
     * @param id 邻井钻井液密度数据主键
     * @return 邻井钻井液密度数据
     */
    public SjFdsgcsDcylZjymdsjb selectSjFdsgcsDcylZjymdsjbById(Long id);

    /**
     * 查询邻井钻井液密度数据列表
     * 
     * @param sjFdsgcsDcylZjymdsjb 邻井钻井液密度数据
     * @return 邻井钻井液密度数据集合
     */
    public List<SjFdsgcsDcylZjymdsjb> selectSjFdsgcsDcylZjymdsjbList(SjFdsgcsDcylZjymdsjb sjFdsgcsDcylZjymdsjb);

    /**
     * 新增邻井钻井液密度数据
     * 
     * @param sjFdsgcsDcylZjymdsjb 邻井钻井液密度数据
     * @return 结果
     */
    public int insertSjFdsgcsDcylZjymdsjb(SjFdsgcsDcylZjymdsjb sjFdsgcsDcylZjymdsjb);

    /**
     * 修改邻井钻井液密度数据
     * 
     * @param sjFdsgcsDcylZjymdsjb 邻井钻井液密度数据
     * @return 结果
     */
    public int updateSjFdsgcsDcylZjymdsjb(SjFdsgcsDcylZjymdsjb sjFdsgcsDcylZjymdsjb);

    /**
     * 删除邻井钻井液密度数据
     * 
     * @param id 邻井钻井液密度数据主键
     * @return 结果
     */
    public int deleteSjFdsgcsDcylZjymdsjbById(Long id);

    /**
     * 批量删除邻井钻井液密度数据
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjFdsgcsDcylZjymdsjbByIds(Long[] ids);

    int deleteSjFdsgcsDcylZjymdsjbByjh(String jh);

    int insertSjFdsgcsDcylZjymdsjbBatch(List<SjFdsgcsDcylZjymdsjb> zjymdsjbList);

}
